# Class MoveImmunityStatChangeAbAttr

#### Hierarchy (view full)

- MoveImmunityAbAttr
  - MoveImmunityStatChangeAbAttr

- Defined in src/data/ability.ts:571

#####
Index

### Constructors

constructor

### Properties

levels
showAbility
stat

### Methods

addCondition
apply
applyPreDefend
getCondition
getTriggerMessage

## Constructors

### constructor

- new MoveImmunityStatChangeAbAttr(immuneCondition, stat, levels): MoveImmunityStatChangeAbAttr

- #### Parameters

  - immuneCondition: PreDefendAbAttrCondition
  - stat: BattleStat
  - levels: number

  #### Returns MoveImmunityStatChangeAbAttr

  Overrides MoveImmunityAbAttr.constructor

  - Defined in src/data/ability.ts:575

## Properties

### `Private` levels

levels: number

- Defined in src/data/ability.ts:573

### showAbility

showAbility: boolean

Inherited from MoveImmunityAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` stat

stat: BattleStat

- Defined in src/data/ability.ts:572

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from MoveImmunityAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from MoveImmunityAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPreDefend

- applyPreDefend(pokemon, passive, attacker, move, cancelled, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - attacker: default
  - move: default
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean

  Overrides MoveImmunityAbAttr.applyPreDefend

  - Defined in src/data/ability.ts:581

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from MoveImmunityAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from MoveImmunityAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:566